Anaconda3+python3.7 +TensorFlow 2.1,安装成功,但是在IDLE和pycharm中引入出现如下错误,请问如何才能解决? 40C

Traceback (most recent call last):
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "F:\Anaconda\lib\imp.py", line 242, in load_module
return load_dynamic(name, filename, file)
File "F:\Anaconda\lib\imp.py", line 342, in load_dynamic
return _load(spec)
ImportError: DLL load failed: 找不到指定的模块。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 1, in
import tensorflow
File "F:\Anaconda\lib\site-packages\tensorflow__init__.py", line 101, in
from tensorflow_core import *
File "F:\Anaconda\lib\site-packages\tensorflow_core__init__.py", line 40, in
from tensorflow.python.tools import module_util as module_util
File "F:\Anaconda\lib\site-packages\tensorflow\
_init__.py", line 50, in getattr
module = self._load()
File "F:\Anaconda\lib\site-packages\tensorflow__init__.py", line 44, in load
module = _importlib.import_module(self.
_name__)
File "F:\Anaconda\lib\importlib__init__.py", line 127, in import_module
return bootstrap._gcd_import(name[level:], package, level)
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\
_init__.py", line 49, in
from tensorflow.python import pywrap_tensorflow
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "F:\Anaconda\lib\imp.py", line 242, in load_module
return load_dynamic(name, filename, file)
File "F:\Anaconda\lib\imp.py", line 342, in load_dynamic
return _load(spec)
ImportError: DLL load failed: 找不到指定的模块。

Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.

1个回答

兼容性问题,比如cpu太老、tf版本太高、cuda cudnn没有安装对
tf没有安装对等等
比如
https://blog.csdn.net/qq_27276951/article/details/85942108

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Anaconda3+python3.7 +TensorFlow 2.1,安装成功,但是在IDLE和pycharm中引入出现如下错误,请问如何才能解决?

Traceback (most recent call last): File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\Anaconda\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\Anaconda\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<pyshell#0>", line 1, in <module> import tensorflow File "F:\Anaconda\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "F:\Anaconda\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "F:\Anaconda\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "F:\Anaconda\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "F:\Anaconda\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "F:\Anaconda\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\Anaconda\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\Anaconda\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

利用anaconda安装tensorflow的时候报错了,我安装的是python3.7,请问这个是哪里有问题呢

![图片说明](https://img-ask.csdn.net/upload/201910/11/1570800080_910049.png) 刚开始接触不是很懂这是什么意思

python3.7中的tensorflow2.0模块没有的问题。

小白刚做手写字识别,遇到tensorflow导入模块的一些问题,模块ModuleNotFoundError: No module named 'tensorflow.examples.tutorials'不会解决。 import keras # 导入Keras import numpy as np from keras.datasets import mnist # 从keras中导入mnist数据集 from keras.models import Sequential # 导入序贯模型 from keras.layers import Dense # 导入全连接层 from keras.optimizers import SGD # 导入优化函数 from tensorflow.examples.tutorials.mnist import input_data mnist = input_data.read_data_sets("MNIST_data", one_hot = True) ![图片说明](https://img-ask.csdn.net/upload/201911/17/1573957701_315782.png) 在网上找了好久,也不怎么懂,能告诉我详实点的解决办法。

【求助】Anaconda 建立python 3.6 新环境后,激活环境,进入python交互模式又变回原来的python3.7 。

我用anaconda创建了基于python3.6的新环境,如下图,名为tensorflow: ![图片说明](https://img-ask.csdn.net/upload/201905/03/1556847480_762671.png) 但当我激活它之后(无论是通过conda avtivate tensorflow命令激活还是通过anaconda navigator激活),如下图: ![图片说明](https://img-ask.csdn.net/upload/201905/03/1556847588_126399.png) 这应该代表环境被激活了吧。但当我进入python交互模式后,却显示python版本为3.7,是我base环境中原来的python,如下图: ![图片说明](https://img-ask.csdn.net/upload/201905/03/1556847699_806573.png) 这是为什么呢? 当我找到该新建环境的目录,并打开其中的python.exe之后,python为3.6版本,这说明该环境确实是基于python3.6的,但是却显示该环境为被激活,如下图: ![图片说明](https://img-ask.csdn.net/upload/201905/03/1556847881_114908.png) ![图片说明](https://img-ask.csdn.net/upload/201905/03/1556847864_39961.png) 这是什么原因呢?似乎无法激活环境啊?为什么我激活了环境,进入交互界面,却又变为原来的python3.7呢? 请各位大神帮忙看看,万分感激!!

python3.7安装的 tensorflow缺少tensorflow.app.flags怎么解决?

![图片说明](https://img-ask.csdn.net/upload/201902/27/1551235193_342494.png) 如图缺少flags 试过卸载重装 也试过卸载了从https://www.lfd.uci.edu/~gohlke/pythonlibs/下载安装 可是问题依旧 系统win10 python3.7

win10环境下 python3.7如何安装pymssql

自己安装总是报错,一开始安装了 Microsoft Visual Studio 14.0,结果还是报同样的错误,又再网上查,又有说要安装pymssql对应文件.. 在网上下载的不知道是不是这个文件,放到了python37\scripts文件夹了:pymssql-2.1.4.dev5-cp36-cp36m-win_amd64.whl 还有我看这个需要visual c++ 2015的环境,我明明已经下载了,但是控制面板里没有,是不是没有安装成功? ![图片说明](https://img-ask.csdn.net/upload/201804/29/1524994839_750466.png) ![图片说明](https://img-ask.csdn.net/upload/201804/29/1524994161_184682.png) 现在也不知道哪里出了问题,谁能告诉我一下 整体安装步骤,谢谢了。。。 我是win10,python3.7的

安装python3.7,但勾勒了add python 3.7 to PATH就安装不了了。自己选择安装也没用

![图片说明](https://img-ask.csdn.net/upload/201908/01/1564638596_602167.jpg)![图片说明](https://img-ask.csdn.net/upload/201908/01/1564638619_127109.jpg)![图片说明](https://img-ask.csdn.net/upload/201908/01/1564638735_938764.jpg)!![图片说明](https://img-ask.csdn.net/upload/201908/01/1564638776_506369.jpg)![图片说明](https://img-ask.csdn.net/upload/201908/01/1564638796_203197.jpg) 不知道错在那一个环节,麻烦哪位大大帮忙解答。 也想过用choco来下,但也下不了,情况如下: ![图片说明](https://img-ask.csdn.net/upload/201908/06/1565095333_516770.jpg) ![图片说明](https://img-ask.csdn.net/upload/201908/06/1565095350_6036.jpg) 都是以管理员运行的,网络也没问题,还望各位大大帮帮忙!感激不尽!!

windows10系统下,Anaconda 3 (Python3.7),使用pip install方法安装第三方库 jieba以及nltk,出现WARNING: pip is configured with locations that require TLS/SSL, however ?

我是windows10系统,安装了Anaconda3 ( python3.7),(电脑里还有python2.7) 想利用pip install 第三方库 但是报错提示如下。 ``` C:\Users\win>cd C:\Users\win\Anaconda3\Scripts C:\Users\win\Anaconda3\Scripts>pip install jieba WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available. Collecting jieba WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/jieba/ WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/jieba/ WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/jieba/ WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/jieba/ WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/jieba/ Could not fetch URL https://pypi.org/simple/jieba/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/jieba/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping ERROR: Could not find a version that satisfies the requirement jieba (from versions: none) ERROR: No matching distribution found for jieba WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available. Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/pip/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping ``` 我搜索了这个问题,有回答说要配置环境变量 , 然而配置后并没有用,可能是我操作不对 ![图片说明](https://img-ask.csdn.net/upload/201910/29/1572335749_876553.png) 目前看到一个很靠谱的博客,https://blog.csdn.net/lilongsy/article/details/87436552 但是本人太菜鸡,没看懂 ┭┮﹏┭┮

关于anaconda安装tensorflow环境配置的问题

之前用anaconda安装过tensorflow失败了,然后我将其删除了。 再安装anaconda与tensorflow时,我发现Anaconda Navigator里并没有tensorflow环境,但我打如下代码却成功运行了。想问问是为什么,以及cmd里的那一行英文提示是什么意思。谢谢 ![图片说明](https://img-ask.csdn.net/upload/201909/05/1567692214_713843.png) ![图片说明](https://img-ask.csdn.net/upload/201909/05/1567692231_475865.png)

Anaconda+TensorFlow安装(Windows)以及嵌入pycharm不成功。求解答

在Anaconda安装TensorFlow不知道哪里的问题总是不成功,跪求大神指点! pycharm中设置中找到的python.exe也没有图标 ![图片说明](https://img-ask.csdn.net/upload/202004/01/1585754864_556607.png) 这个是anaconda里的 ``` (tensorflow) C:\Users\XXX>conda info --envs # conda environments: # base D:\ProgramData\Anaconda3 tensorflow * D:\ProgramData\Anaconda3\envs\tensorflow (tensorflow) C:\Users\XXX>python --version Python 3.7.7 ``` 安装完tensorflow之后执行python后输入import tensorflow as ty卡在这里了 ``` (tensorflow) C:\Users\XXX>python Python 3.7.7 (default, Mar 23 2020, 23:19:08) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. ``` pycharm中设置中找到的python也没有图标 ![图片说明](https://img-ask.csdn.net/upload/202004/01/1585754864_556607.png)

重装了anaconda后安装不了tensorflow,求大佬救救我

1.重装之前我在anaconda prompt里用找可以安装的版本装好了,可以用 ,后来电脑上把当时安装的盘清空了,再用这个方法就一直装不上: 2.用anaconda navigator 手动添加新的环境,在新环境里下好了tensorflow, 可是jupyter里还是不可以用tensorflow 3.最后我用anaconda navigator 直接在root里下tensorflow,就完全下不下来, 出现这个, UnsatisfiableError: The following specifications were found to be in conflict: - anaconda==2018.12=py37_0 -> bleach==3.0.2=py37_0 - anaconda==2018.12=py37_0 -> mkl-service==1.1.2=py37hb782905_5 - anaconda==2018.12=py37_0 -> numexpr==2.6.8=py37hdce8814_0 - anaconda==2018.12=py37_0 -> scikit-learn==0.20.1=py37h343c172_0 - tensorflow Use "conda info <package>" to see the dependencies for each package.

利用conda install TensorFlow-gpu在win7上conda3.7版本上安装tensorflow后,测试时出现下面的问题

在测试import TensorFlow as tf print('hello'),出现下列问题,请问这是什么原因造成的,如何改? ``` Traceback (most recent call last): File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的程序。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\lib\site-packages\IPython\core\interactiveshell.py", line 3296, in run_code exec(code_obj, self.user_global_ns, self.user_ns) File "<ipython-input-2-d1ce02c95f3b>", line 1, in <module> runfile('C:/Users/jianjiu17/Desktop/deep-learning-from-scratch-master/uittle.py', wdir='C:/Users/jianjiu17/Desktop/deep-learning-from-scratch-master') File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_umd.py", line 197, in runfile pydev_imports.execfile(filename, global_vars, local_vars) # execute the script File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_imps\_pydev_execfile.py", line 18, in execfile exec(compile(contents+"\n", file, 'exec'), glob, loc) File "C:/Users/jianjiu17/Desktop/deep-learning-from-scratch-master/uittle.py", line 1, in <module> import tensorflow as tf File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 24, in <module> from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的程序。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. ```

装TensorFlow出现了这些问题是什么情况呀

(TF2.1) C:\Users\lenovo>pip install tensorflow==2.1 Requirement already satisfied: tensorflow==2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (2.1.0) Requirement already satisfied: termcolor>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: protobuf>=3.8.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.11.3) Requirement already satisfied: absl-py>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.9.0) Requirement already satisfied: opt-einsum>=2.3.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.2.1) Requirement already satisfied: google-pasta>=0.1.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.0) Requirement already satisfied: wheel>=0.26; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.34.2) Requirement already satisfied: wrapt>=1.11.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.12.1) Requirement already satisfied: gast==0.2.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.2) Requirement already satisfied: six>=1.12.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.14.0) Requirement already satisfied: numpy<2.0,>=1.16.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.18.4) Requirement already satisfied: tensorboard<2.2.0,>=2.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.1) Requirement already satisfied: tensorflow-estimator<2.2.0,>=2.1.0rc0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.0) Requirement already satisfied: grpcio>=1.8.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.28.1) Requirement already satisfied: astor>=0.6.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.8.1) Requirement already satisfied: scipy==1.4.1; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.4.1) Requirement already satisfied: keras-applications>=1.0.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.0.8) Requirement already satisfied: keras-preprocessing>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: setuptools in f:\anaconda3\envs\tf2.1\lib\site-packages (from protobuf>=3.8.0->tensorflow==2.1) (46.1.3.post20200330) Requirement already satisfied: markdown>=2.6.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.2.1) Requirement already satisfied: google-auth<2,>=1.6.3 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.14.1) Requirement already satisfied: google-auth-oauthlib<0.5,>=0.4.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.1) Requirement already satisfied: werkzeug>=0.11.15 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.0.1) Requirement already satisfied: requests<3,>=2.21.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.23.0) Requirement already satisfied: h5py in f:\anaconda3\envs\tf2.1\lib\site-packages (from keras-applications>=1.0.8->tensorflow==2.1) (2.10.0) Requirement already satisfied: pyasn1-modules>=0.2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.2.8) Requirement already satisfied: rsa<4.1,>=3.1.4 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.0) Requirement already satisfied: cachetools<5.0,>=2.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.1.0) Requirement already satisfied: requests-oauthlib>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.3.0) Requirement already satisfied: chardet<4,>=3.0.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.0.4) Requirement already satisfied: idna<3,>=2.5 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.9) Requirement already satisfied: certifi>=2017.4.17 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2020.4.5.1) Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.25.9) Requirement already satisfied: pyasn1<0.5.0,>=0.4.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from pyasn1-modules>=0.2.1->google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.8) Requirement already satisfied: oauthlib>=3.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests-oauthlib>=0.7.0->google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.1.0) (TF2.1) C:\Users\lenovo>python Python 3.7.7 (default, Apr 15 2020, 05:09:04) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "F:\anaconda3\envs\TF2.1\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

Anaconda激活python3的环境后在终端中使用的python版本确实python2(Mac环境)

如题,mac中利用conda activate指令激活创建的python3.7虚拟环境后,在终端中输入python指令显示的python版本仍然是python2 ![图片说明](https://img-ask.csdn.net/upload/202003/27/1585280222_735469.png) 求大佬解惑

安装tensorflow后,卸载anaconda的问题

在用anaocnda安装 tensorflow后,由于操作不成功,我直接卸载了anaconda,而后再安装anaconda时,发现原有的文件夹里有三个文件夹删不掉。 想问一下,应该如何删掉这三个文件夹。![图片说明](https://img-ask.csdn.net/upload/201909/04/1567606136_822261.png)

用Anaconda安装的python3.5和python2.7双版本

![图片说明](https://img-ask.csdn.net/upload/201708/14/1502699608_44739.png) ,并且在此基础上安装了tensorflow,总是报错没有numpy库,实际上我已经安装了,再用pip安装也提示已经有了,这样的错误咋办啊?

python3下安装tensorflow,感觉安装成功了可是总是有奇怪的东西跑出来?

已安装python3.6,现在安装tensorflow,下好安装包,放在python的scripts文件夹中。 在cmd中输入pip install tensorflow回车(尝试了好几次)。出现下面的数据: Microsoft Windows [版本 10.0.17134.285] (c) 2018 Microsoft Corporation。保留所有权利。 C:\Users\lenovo>pip install tensorflow Requirement already satisfied: tensorflow in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages Requirement already satisfied: numpy>=1.13.3 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: tensorboard<1.12.0,>=1.11.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: termcolor>=1.1.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: six>=1.10.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: astor>=0.6.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: grpcio>=1.8.6 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: protobuf>=3.6.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: setuptools<=39.1.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: wheel>=0.26 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: absl-py>=0.1.6 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: keras-preprocessing>=1.0.3 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: keras-applications>=1.0.5 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: gast>=0.2.0 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorflow) Requirement already satisfied: markdown>=2.6.8 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorboard<1.12.0,>=1.11.0->tensorflow) Requirement already satisfied: werkzeug>=0.11.10 in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from tensorboard<1.12.0,>=1.11.0->tensorflow) Requirement already satisfied: h5py in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages (from keras-applications>=1.0.5->tensorflow) You are using pip version 9.0.1, however version 18.0 is available. You should consider upgrading via the 'python -m pip install --upgrade pip' command. C:\Users\lenovo> 我看出现Requirement already satisfied: tensorflow in c:\users\lenovo\appdata\local\programs\python\python36\lib\site-packages 不是就是安装成功了吗? 可是我在调用的时候又出现了这个: =================== RESTART: D:\python-files\keras\num.py =================== Using TensorFlow backend. Traceback (most recent call last): File "C:\Users\lenovo\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "C:\Users\lenovo\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "C:\Users\lenovo\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Users\lenovo\AppData\Local\Programs\Python\Python36\lib\imp.py", line 243, in load_module return load_dynamic(name, filename, file) File "C:\Users\lenovo\AppData\Local\Programs\Python\Python36\lib\imp.py", line 343, in load_dynamic return _load(spec) ImportError: DLL load failed: 动态链接库(DLL)初始化例程失败。 反正就是又失败了。 所以我这个tensorflow是安装成功了还是失败了?为什么会这样嘞?

求问大佬装TensorFlow出现这样的情况是怎么办呀

(TF2.1) C:\Users\lenovo>pip install tensorflow==2.1 Requirement already satisfied: tensorflow==2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (2.1.0) Requirement already satisfied: termcolor>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: protobuf>=3.8.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.11.3) Requirement already satisfied: absl-py>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.9.0) Requirement already satisfied: opt-einsum>=2.3.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.2.1) Requirement already satisfied: google-pasta>=0.1.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.0) Requirement already satisfied: wheel>=0.26; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.34.2) Requirement already satisfied: wrapt>=1.11.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.12.1) Requirement already satisfied: gast==0.2.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.2) Requirement already satisfied: six>=1.12.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.14.0) Requirement already satisfied: numpy<2.0,>=1.16.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.18.4) Requirement already satisfied: tensorboard<2.2.0,>=2.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.1) Requirement already satisfied: tensorflow-estimator<2.2.0,>=2.1.0rc0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.0) Requirement already satisfied: grpcio>=1.8.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.28.1) Requirement already satisfied: astor>=0.6.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.8.1) Requirement already satisfied: scipy==1.4.1; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.4.1) Requirement already satisfied: keras-applications>=1.0.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.0.8) Requirement already satisfied: keras-preprocessing>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: setuptools in f:\anaconda3\envs\tf2.1\lib\site-packages (from protobuf>=3.8.0->tensorflow==2.1) (46.1.3.post20200330) Requirement already satisfied: markdown>=2.6.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.2.1) Requirement already satisfied: google-auth<2,>=1.6.3 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.14.1) Requirement already satisfied: google-auth-oauthlib<0.5,>=0.4.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.1) Requirement already satisfied: werkzeug>=0.11.15 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.0.1) Requirement already satisfied: requests<3,>=2.21.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.23.0) Requirement already satisfied: h5py in f:\anaconda3\envs\tf2.1\lib\site-packages (from keras-applications>=1.0.8->tensorflow==2.1) (2.10.0) Requirement already satisfied: pyasn1-modules>=0.2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.2.8) Requirement already satisfied: rsa<4.1,>=3.1.4 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.0) Requirement already satisfied: cachetools<5.0,>=2.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.1.0) Requirement already satisfied: requests-oauthlib>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.3.0) Requirement already satisfied: chardet<4,>=3.0.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.0.4) Requirement already satisfied: idna<3,>=2.5 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.9) Requirement already satisfied: certifi>=2017.4.17 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2020.4.5.1) Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.25.9) Requirement already satisfied: pyasn1<0.5.0,>=0.4.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from pyasn1-modules>=0.2.1->google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.8) Requirement already satisfied: oauthlib>=3.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests-oauthlib>=0.7.0->google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.1.0) (TF2.1) C:\Users\lenovo>python Python 3.7.7 (default, Apr 15 2020, 05:09:04) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "F:\anaconda3\envs\TF2.1\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

linux anaconda3 python环境,import dlib报错

服务器linux是凝思操作系统 anaconda3、python配置都弄好了 #python -V Python 3.5.2 :: Anaconda 4.2.0 (64-bit) 进入python #python #import dlib --报下面错误 Traceback (most recent call last): File "<stdin>", line 1, in <module> ImportError: /opt/python/anaconda3/lib/python3.5/site-packages/dlib-19.9.0-py3.5-linux-x86_64.egg/dlib.cpython-35m-x86_64-linux-gnu.so: undefined symbol: _ZNSt8messagesIcE2idE /opt/python/anaconda3是我的anaconda3目录 我在本机linux虚拟机(优麒麟系统),同样配置import dlib不会报错,python项目也能跑的起来,应该是环境问题,各位大神看下这个报错是哪个环境有问题,怎么解决

关于Python3.7中安装pip install Scrapy出现的问题

我的是WIN10,安装的3.7版的Python,python和pip兼正常,但是我在电脑上安装scrapy,就是pip install scrapy这样,却出现了问题。 但是,跟别人的不一样,我的不是因为环境问题而安装不上去,出现的是下面这样的代码 ERROR: Command "'d:\program files\python37\python.exe' -u -c 'import setuptools, tokenize;__file__='"'"'C:\\Users\\dev\\AppData\\Local\\Temp\\pip-install-6z92nq_l\\Twisted\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\dev\AppData\Local\Temp\pip-record-vclemy75\install-record.txt' --single-version-externally-managed --compile" failed with error code 1 in C:\Users\dev\AppData\Local\Temp\pip-install-6z92nq_l\Twisted\ 我是真不知道是什么原因了,穷途末路,请各位大神帮帮我吧 *************************** 不好意思大家,一直没看。 后来我弄不好,用电脑自带的恢复出厂设置搞了一下,然后,自此以后装任何东西没有报错过。by the way,备份关键东西很重要

初级玩转Linux+Ubuntu(嵌入式开发基础课程)

课程主要面向嵌入式Linux初学者、工程师、学生 主要从一下几方面进行讲解: 1.linux学习路线、基本命令、高级命令 2.shell、vi及vim入门讲解 3.软件安装下载、NFS、Samba、FTP等服务器配置及使用

我以为我对Mysql事务很熟,直到我遇到了阿里面试官

太惨了,面试又被吊打

Python代码实现飞机大战

文章目录经典飞机大战一.游戏设定二.我方飞机三.敌方飞机四.发射子弹五.发放补给包六.主模块 经典飞机大战 源代码以及素材资料(图片,音频)可从下面的github中下载: 飞机大战源代码以及素材资料github项目地址链接 ————————————————————————————————————————————————————————— 不知道大家有没有打过飞机,喜不喜欢打飞机。当我第一次接触这个东西的时候,我的内心是被震撼到的。第一次接触打飞机的时候作者本人是身心愉悦的,因为周边的朋友都在打飞机, 每

Python数据分析与挖掘

92讲视频课+16大项目实战+源码+¥800元课程礼包+讲师社群1V1答疑+社群闭门分享会=99元 &nbsp; 为什么学习数据分析? &nbsp; &nbsp; &nbsp; 人工智能、大数据时代有什么技能是可以运用在各种行业的?数据分析就是。 &nbsp; &nbsp; &nbsp; 从海量数据中获得别人看不见的信息,创业者可以通过数据分析来优化产品,营销人员可以通过数据分析改进营销策略,产品经理可以通过数据分析洞察用户习惯,金融从业者可以通过数据分析规避投资风险,程序员可以通过数据分析进一步挖掘出数据价值,它和编程一样,本质上也是一个工具,通过数据来对现实事物进行分析和识别的能力。不管你从事什么行业,掌握了数据分析能力,往往在其岗位上更有竞争力。 &nbsp;&nbsp; 本课程共包含五大模块: 一、先导篇: 通过分析数据分析师的一天,让学员了解全面了解成为一个数据分析师的所有必修功法,对数据分析师不在迷惑。 &nbsp; 二、基础篇: 围绕Python基础语法介绍、数据预处理、数据可视化以及数据分析与挖掘......这些核心技能模块展开,帮助你快速而全面的掌握和了解成为一个数据分析师的所有必修功法。 &nbsp; 三、数据采集篇: 通过网络爬虫实战解决数据分析的必经之路:数据从何来的问题,讲解常见的爬虫套路并利用三大实战帮助学员扎实数据采集能力,避免没有数据可分析的尴尬。 &nbsp; 四、分析工具篇: 讲解数据分析避不开的科学计算库Numpy、数据分析工具Pandas及常见可视化工具Matplotlib。 &nbsp; 五、算法篇: 算法是数据分析的精华,课程精选10大算法,包括分类、聚类、预测3大类型,每个算法都从原理和案例两个角度学习,让你不仅能用起来,了解原理,还能知道为什么这么做。

如何在虚拟机VM上使用串口

在系统内核开发中,经常会用到串口调试,利用VMware的Virtual Machine更是为调试系统内核如虎添翼。那么怎么搭建串口调试环境呢?因为最近工作涉及到这方面,利用强大的google搜索和自己

程序员的兼职技能课

获取讲师答疑方式: 在付费视频第一节(触摸命令_ALL)片头有二维码及加群流程介绍 限时福利 原价99元,今日仅需39元!购课添加小助手(微信号:csdn590)按提示还可领取价值800元的编程大礼包! 讲师介绍: 苏奕嘉&nbsp;前阿里UC项目工程师 脚本开发平台官方认证满级(六级)开发者。 我将如何教会你通过【定制脚本】赚到你人生的第一桶金? 零基础程序定制脚本开发课程,是完全针对零脚本开发经验的小白而设计,课程内容共分为3大阶段: ①前期将带你掌握Q开发语言和界面交互开发能力; ②中期通过实战来制作有具体需求的定制脚本; ③后期将解锁脚本的更高阶玩法,打通任督二脉; ④应用定制脚本合法赚取额外收入的完整经验分享,带你通过程序定制脚本开发这项副业,赚取到你的第一桶金!

MFC一站式终极全套课程包

该套餐共包含从C小白到C++到MFC的全部课程,整套学下来绝对成为一名C++大牛!!!

C++语言基础视频教程

C++语言基础视频培训课程:本课与主讲者在大学开出的程序设计课程直接对接,准确把握知识点,注重教学视频与实践体系的结合,帮助初学者有效学习。本教程详细介绍C++语言中的封装、数据隐藏、继承、多态的实现等入门知识;主要包括类的声明、对象定义、构造函数和析构函数、运算符重载、继承和派生、多态性实现等。 课程需要有C语言程序设计的基础(可以利用本人开出的《C语言与程序设计》系列课学习)。学习者能够通过实践的方式,学会利用C++语言解决问题,具备进一步学习利用C++开发应用程序的基础。

北京师范大学信息科学与技术学院笔试10复试真题

北京师范大学信息科学与技术学院笔试,可以更好的让你了解北师大该学院的复试内容,获得更好的成绩。

深度学习原理+项目实战+算法详解+主流框架(套餐)

深度学习系列课程从深度学习基础知识点开始讲解一步步进入神经网络的世界再到卷积和递归神经网络,详解各大经典网络架构。实战部分选择当下最火爆深度学习框架PyTorch与Tensorflow/Keras,全程实战演示框架核心使用与建模方法。项目实战部分选择计算机视觉与自然语言处理领域经典项目,从零开始详解算法原理,debug模式逐行代码解读。适合准备就业和转行的同学们加入学习! 建议按照下列课程顺序来进行学习 (1)掌握深度学习必备经典网络架构 (2)深度框架实战方法 (3)计算机视觉与自然语言处理项目实战。(按照课程排列顺序即可)

网络工程师小白入门--【思科CCNA、华为HCNA等网络工程师认证】

本课程适合CCNA或HCNA网络小白同志,高手请绕道,可以直接学习进价课程。通过本预科课程的学习,为学习网络工程师、思科CCNA、华为HCNA这些认证打下坚实的基础! 重要!思科认证2020年2月24日起,已启用新版认证和考试,包括题库都会更新,由于疫情原因,请关注官网和本地考点信息。题库网络上很容易下载到。

Python界面版学生管理系统

前不久上传了一个控制台版本的学生管理系统,这个是Python界面版学生管理系统,这个是使用pycharm开发的一个有界面的学生管理系统,基本的增删改查,里面又演示视频和完整代码,有需要的伙伴可以自行下

软件测试2小时入门

本课程内容系统、全面、简洁、通俗易懂,通过2个多小时的介绍,让大家对软件测试有个系统的理解和认识,具备基本的软件测试理论基础。 主要内容分为5个部分: 1 软件测试概述,了解测试是什么、测试的对象、原则、流程、方法、模型;&nbsp; 2.常用的黑盒测试用例设计方法及示例演示;&nbsp; 3 常用白盒测试用例设计方法及示例演示;&nbsp; 4.自动化测试优缺点、使用范围及示例‘;&nbsp; 5.测试经验谈。

Tomcat服务器下载、安装、配置环境变量教程(超详细)

未经我的允许,请不要转载我的文章,在此郑重声明!!! 请先配置安装好Java的环境,若没有安装,请参照我博客上的步骤进行安装! 安装Java环境教程https://blog.csdn.net/qq_40881680/article/details/83585542 Tomcat部署Web项目(一)·内嵌https://blog.csdn.net/qq_40881680/article/d...

2019数学建模A题高压油管的压力控制 省一论文即代码

2019数学建模A题高压油管的压力控制省一完整论文即详细C++和Matlab代码,希望对同学们有所帮助

图书管理系统(Java + Mysql)我的第一个完全自己做的实训项目

图书管理系统 Java + MySQL 完整实训代码,MVC三层架构组织,包含所有用到的图片资源以及数据库文件,大三上学期实训,注释很详细,按照阿里巴巴Java编程规范编写

linux下利用/proc进行进程树的打印

在linux下利用c语言实现的进程树的打印,主要通过/proc下的目录中的进程文件,获取status中的进程信息内容,然后利用递归实现进程树的打印

微信小程序开发实战之番茄时钟开发

微信小程序番茄时钟视频教程,本课程将带着各位学员开发一个小程序初级实战类项目,针对只看过官方文档而又无从下手的开发者来说,可以作为一个较好的练手项目,对于有小程序开发经验的开发者而言,可以更好加深对小程序各类组件和API 的理解,为更深层次高难度的项目做铺垫。

[已解决]踩过的坑之mysql连接报“Communications link failure”错误

目录 前言 第一种方法: 第二种方法 第三种方法(适用于项目和数据库在同一台服务器) 第四种方法 第五种方法(项目和数据库不在同一台服务器) 总结 前言 先给大家简述一下我的坑吧,(我用的是mysql,至于oracle有没有这样的问题,有心的小伙伴们可以测试一下哈), 在自己做个javaweb测试项目的时候,因为买的是云服务器,所以数据库连接的是用ip地址,用IDE开发好...

人工智能-计算机视觉实战之路(必备算法+深度学习+项目实战)

系列课程主要分为3大阶段:(1)首先掌握计算机视觉必备算法原理,结合Opencv进行学习与练手,通过实际视项目进行案例应用展示。(2)进军当下最火的深度学习进行视觉任务实战,掌握深度学习中必备算法原理与网络模型架构。(3)结合经典深度学习框架与实战项目进行实战,基于真实数据集展开业务分析与建模实战。整体风格通俗易懂,项目驱动学习与就业面试。 建议同学们按照下列顺序来进行学习:1.Python入门视频课程 2.Opencv计算机视觉实战(Python版) 3.深度学习框架-PyTorch实战/人工智能框架实战精讲:Keras项目 4.Python-深度学习-物体检测实战 5.后续实战课程按照自己喜好选择就可以

2019 AI开发者大会

2019 AI开发者大会(AI ProCon 2019)是由中国IT社区CSDN主办的AI技术与产业年度盛会。多年经验淬炼,如今蓄势待发:2019年9月6-7日,大会将有近百位中美顶尖AI专家、知名企业代表以及千余名AI开发者齐聚北京,进行技术解读和产业论证。我们不空谈口号,只谈技术,诚挚邀请AI业内人士一起共铸人工智能新篇章!

机器学习初学者必会的案例精讲

通过六个实际的编码项目,带领同学入门人工智能。这些项目涉及机器学习(回归,分类,聚类),深度学习(神经网络),底层数学算法,Weka数据挖掘,利用Git开源项目实战等。

Python数据分析师-实战系列

系列课程主要包括Python数据分析必备工具包,数据分析案例实战,核心算法实战与企业级数据分析与建模解决方案实战,建议大家按照系列课程阶段顺序进行学习。所有数据集均为企业收集的真实数据集,整体风格以实战为导向,通俗讲解Python数据分析核心技巧与实战解决方案。

YOLOv3目标检测实战系列课程

《YOLOv3目标检测实战系列课程》旨在帮助大家掌握YOLOv3目标检测的训练、原理、源码与网络模型改进方法。 本课程的YOLOv3使用原作darknet(c语言编写),在Ubuntu系统上做项目演示。 本系列课程包括三门课: (1)《YOLOv3目标检测实战:训练自己的数据集》 包括:安装darknet、给自己的数据集打标签、整理自己的数据集、修改配置文件、训练自己的数据集、测试训练出的网络模型、性能统计(mAP计算和画出PR曲线)和先验框聚类。 (2)《YOLOv3目标检测:原理与源码解析》讲解YOLOv1、YOLOv2、YOLOv3的原理、程序流程并解析各层的源码。 (3)《YOLOv3目标检测:网络模型改进方法》讲解YOLOv3的改进方法,包括改进1:不显示指定类别目标的方法 (增加功能) ;改进2:合并BN层到卷积层 (加快推理速度) ; 改进3:使用GIoU指标和损失函数 (提高检测精度) ;改进4:tiny YOLOv3 (简化网络模型)并介绍 AlexeyAB/darknet项目。

2021考研数学张宇基础30讲.pdf

张宇:博士,全国著名考研数学辅导专家,教育部“国家精品课程建设骨干教师”,全国畅销书《张宇高等数学18讲》《张宇线性代数9讲》《张宇概率论与数理统计9讲》《张宇考研数学题源探析经典1000题》《张宇考

三个项目玩转深度学习(附1G源码)

从事大数据与人工智能开发与实践约十年,钱老师亲自见证了大数据行业的发展与人工智能的从冷到热。事实证明,计算机技术的发展,算力突破,海量数据,机器人技术等,开启了第四次工业革命的序章。深度学习图像分类一直是人工智能的经典任务,是智慧零售、安防、无人驾驶等机器视觉应用领域的核心技术之一,掌握图像分类技术是机器视觉学习的重中之重。针对现有线上学习的特点与实际需求,我们开发了人工智能案例实战系列课程。打造:以项目案例实践为驱动的课程学习方式,覆盖了智能零售,智慧交通等常见领域,通过基础学习、项目案例实践、社群答疑,三维立体的方式,打造最好的学习效果。

DirectX修复工具V4.0增强版

DirectX修复工具(DirectX Repair)是一款系统级工具软件,简便易用。本程序为绿色版,无需安装,可直接运行。 本程序的主要功能是检测当前系统的DirectX状态,如果发现异常则进行修复

期末考试评分标准的数学模型

大学期末考试与高中的考试存在很大的不同之处,大学的期末考试成绩是主要分为两个部分:平时成绩和期末考试成绩。平时成绩和期末考试成绩总分一般为一百分,然而平时成绩与期末考试成绩所占的比例不同会导致出现不同

Vue.js 2.0之全家桶系列视频课程

基于新的Vue.js 2.3版本, 目前新全的Vue.js教学视频,让你少走弯路,直达技术前沿! 1. 包含Vue.js全家桶(vue.js、vue-router、axios、vuex、vue-cli、webpack、ElementUI等) 2. 采用笔记+代码案例的形式讲解,通俗易懂

c语言项目开发实例

十个c语言案例 (1)贪吃蛇 (2)五子棋游戏 (3)电话薄管理系统 (4)计算器 (5)万年历 (6)电子表 (7)客户端和服务器通信 (8)潜艇大战游戏 (9)鼠标器程序 (10)手机通讯录系统

相关热词 c#框体中的退出函数 c# 按钮透明背景 c# idl 混编出错 c#在位置0处没有任何行 c# 循环给数组插入数据 c# 多线程死锁的例子 c# 钉钉读取员工排班 c# label 不显示 c#裁剪影像 c#工作进程更新ui
立即提问